Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.egategui.pe
Class OtdBeanProvider

    java.lang.Object
      com.stc.swift.egategui.pe.OtdBeanProvider

All Implemented Interfaces:
  com.stc.editor.javamodel.beans.IBeanProvider, com.stc.editor.javamodel.beans.NodeProviderCookie, org.openide.nodes.Node.Cookie

    public class OtdBeanProvider

extends java.lang.Object
implements com.stc.editor.javamodel.beans.NodeProviderCookie

Title: OtdBeanProvider

Description:

Copyright: Copyright (c) 2002

Company: SeeBeyond

Version:
  1.0

Constructor Summary
`OtdBeanProvider(com.stc.model.common.ObjectTypeDefinition otd)`
`OtdBeanProvider(com.stc.otd.forest.OtdMetaContainer container, com.stc.model.common.ObjectTypeDefinition otd)` Constructor

Method Summary
`com.stc.editor.javamodel.beans.IBeanInfo` | `getBeanInfo(java.lang.Object otdBeanUrl)` This method gets the bean info associated with this class
`com.stc.editor.javamodel.beans.IBeanInfo` | `getFirstBeanInfo(java.lang.String id)`
`java.lang.String` | `getJavaName(java.lang.String id)` Returns the java name of this root
`com.stc.model.common.ObjectTypeDefinition` | `getObjectTypeDefinition()` Returns the OTD represented by this provider
`java.lang.String` | `getOTDRootID(java.lang.String root)` Returns the ID of the root
`java.lang.String[]` | `getOTDRoots()` Returns the roots of the Object type definition that this cookie represents.
`void` | `initialize(com.stc.editor.javamodel.IJavaModel model)` initializes

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OtdBeanProvider

    public OtdBeanProvider(com.stc.otd.forest.OtdMetaContainer container,
                           com.stc.model.common.ObjectTypeDefinition otd)

  Constructor

  Parameters:
    `container` - meta container for this bean.
    `otd` - for this bean

### OtdBeanProvider

    public OtdBeanProvider(com.stc.model.common.ObjectTypeDefinition otd)

Method Detail

### getObjectTypeDefinition

    public com.stc.model.common.ObjectTypeDefinition getObjectTypeDefinition()

  Returns the OTD represented by this provider

  Specified by:
    `getObjectTypeDefinition` in interface `com.stc.editor.javamodel.beans.NodeProviderCookie`
  Returns:
    ObjectTypeDefinition
  See Also:
    `NodeProviderCookie.getObjectTypeDefinition()`

### getBeanInfo

    public com.stc.editor.javamodel.beans.IBeanInfo getBeanInfo(java.lang.Object otdBeanUrl)
                                                         throws com.stc.editor.javamodel.beans.BeanInfoNotFoundException

  This method gets the bean info associated with this class

  Specified by:
    `getBeanInfo` in interface `com.stc.editor.javamodel.beans.IBeanProvider`
  Parameters:
    `otdBeanUrl` - otdBeanUrl
  Returns:
    IBeanInfo
  Throws:
    `com.stc.editor.javamodel.beans.BeanInfoNotFoundException` - BeanInfoNotFoundException

### initialize

    public void initialize(com.stc.editor.javamodel.IJavaModel model)

  initializes

  Specified by:
    `initialize` in interface `com.stc.editor.javamodel.beans.IBeanProvider`
  Specified by:
    `initialize` in interface `com.stc.editor.javamodel.beans.NodeProviderCookie`
  Parameters:
    `model` - model

### getOTDRoots

    public java.lang.String[] getOTDRoots()

  Returns the roots of the Object type definition that this cookie represents.

  Specified by:
    `getOTDRoots` in interface `com.stc.editor.javamodel.beans.NodeProviderCookie`
  Returns:
    String[]

### getOTDRootID

    public java.lang.String getOTDRootID(java.lang.String root)

  Returns the ID of the root

  Specified by:
    `getOTDRootID` in interface `com.stc.editor.javamodel.beans.NodeProviderCookie`
  Parameters:
    `root` - root name
  Returns:
    root ID

### getJavaName

    public java.lang.String getJavaName(java.lang.String id)

  Returns the java name of this root

  Specified by:
    `getJavaName` in interface `com.stc.editor.javamodel.beans.NodeProviderCookie`
  Parameters:
    `root` - otd root id

### getFirstBeanInfo

    public com.stc.editor.javamodel.beans.IBeanInfo getFirstBeanInfo(java.lang.String id)
                                                              throws com.stc.editor.javamodel.beans.BeanInfoNotFoundException

  Specified by:
    `getFirstBeanInfo` in interface `com.stc.editor.javamodel.beans.NodeProviderCookie`
  Throws:
    `com.stc.editor.javamodel.beans.BeanInfoNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.